% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/create_reports.R
\name{create_reports}
\alias{create_reports}
\title{Set reports folder structure}
\usage{
create_reports(path = ".", overwrite = FALSE, git = TRUE)
}
\arguments{
\item{path}{Destination folder for reports and templates}

\item{overwrite}{Allow overwriting templates folder}

\item{git}{add gitignore file suitable for TeX and HTML reports}
}
\value{
The path to the created reports folder.
}
\description{
Set reports folder structure
}
\examples{
# Create structure for reports
path <- tempfile(pattern = "report-example")
dir.create(path)
create_reports(path, git = FALSE)
list.files(path, recursive = TRUE)

# Add a new report
report_path <- add_report("my_report", path = path)
list.files(report_path)
}
