% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/list_reports.R
\name{list_reports}
\alias{list_reports}
\title{List reports with headers}
\usage{
list_reports(
  reports_dir = file.path(pkgload::pkg_path(), "reports"),
  reports = list.dirs(reports_dir, full.names = FALSE, recursive = FALSE),
  index = "index.Rmd"
)
}
\arguments{
\item{reports_dir}{\link{character} path for the reports}

\item{reports}{\link{character} subfolders containing each report.}

\item{index}{\link{character} name of the report index file}
}
\value{
A \link{data.frame} containing one row by report found. Each row contain the following columns:
\itemize{
\item \code{report}: the folder name of the report
\item \code{path}: the full path of the report folder
\item and all the metadata located in the header of the report index file: \code{title}, \code{author}, ...
}
}
\description{
List reports with headers
}
