% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utils.R
\name{purge_string}
\alias{purge_string}
\title{Purge a string from all accents and special characters}
\usage{
purge_string(x, replacement = " ")
}
\arguments{
\item{x}{the \link{character} string to purge}

\item{replacement}{the \link{character} to use for replacing special characters}
}
\value{
A purged \link{character} string
}
\description{
Purge a string from all accents and special characters
}
\examples{
\dontrun{
# Download some funny UTF-8 string
tmp <- tempfile()
download.file(
  file.path("https://raw.githubusercontent.com",
            "bits/UTF-8-Unicode-Test-Documents",
            "master/UTF-8_sequence_unseparated",
            "utf8_sequence_0-0xff_assigned_printable_unseparated.txt", tmp)
)
txt_utf8 <- readLines(tmp)
txt_utf8
purge_string(txt_utf8)
}

}
