test_that("loadConfig works", {
  path_pkg <- helper_create_fairify()
  path_pkg <- normalizePath(path_pkg, winslash = "/")
  pkgload::load_all(path_pkg, export_all = FALSE)
  loadConfig <- get("loadConfig", envir = loadNamespace(basename(path_pkg)))
  path <- file.path(path_pkg, "tata/toto")
  dir.create(path, recursive = TRUE)
  setwd(path)
  s <- "default:
  data:
    mode: local
    write_results: true"
  writeLines(s, "config.yml")
  cfg <- loadConfig()
  expect_true(cfg$data$write_results)
  file.rename("config.yml", "../config.yml")
  expect_message(loadConfig(),
                 regexp = paste("Read user configuration from:",
                                file.path(path_pkg, "tata/config.yml")))
  file.rename(file.path(path_pkg, "tata/config.yml"),
              file.path(path_pkg, "config.yml"))
  expect_message(loadConfig(),
                 regexp = paste("Read user configuration from:",
                                file.path(path_pkg, "config.yml")))
  unlink(path_pkg, recursive = TRUE)
})
