test_that("render_reports works for all templates", {
  path <- helper_create_fairify()
  dfC <-
    expand.grid(
      template = list.dirs(file.path(path, "templates"), full.names = FALSE)[-1],
      lang = c("french", "english")
    )
  mapply(
    FUN =
      function(template, lang, path) {
        add_report(
          paste("my_report", template, lang, sep = "_"),
          template = template,
          lang = lang,
          path = path
        )
      },
    template = dfC$template,
    lang = dfC$lang,
    MoreArgs = list(path = path)
  )
  render_reports(reports_dir = file.path(path, "reports"),
                 output_format = "bookdown::gitbook")
  render_reports(reports_dir = file.path(path, "reports"),
                 output_format = "bookdown::pdf_book")
  lapply(paste("my_report", dfC$template, dfC$lang, sep = "_"), function(x) {
    report_path <- file.path(path, "public/reports", x)
    expect_true(dir.exists(report_path))
    expect_true(file.exists(file.path(report_path, "index.html")))
    expect_true(file.exists(file.path(report_path, "report.pdf")))
  })
  unlink(path, recursive = TRUE)
})
